package com.meterware.httpunit;
/********************************************************************************************************************
* $Id: PostMethodWebRequest.java,v 1.3 2000/07/13 14:55:49 russgold Exp $
*
* Copyright (c) 2000, Russell Gold
*
* Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
* documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
* the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
* to permit persons to whom the Software is furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in all copies or substantial portions 
* of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
* THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
* CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
* DEALINGS IN THE SOFTWARE.
*
*******************************************************************************************************************/
import java.io.DataOutputStream;
import java.io.IOException;

import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

/**
 * An HTTP request using the POST method.
 **/
public class PostMethodWebRequest extends WebRequest {


    /**
     * Constructs a web request using a specific absolute url string.
     **/
    public PostMethodWebRequest( String urlString ) {
        super( urlString );
    }


//---------------------------------- WebRequest methods --------------------------------


    public URL getURL() throws MalformedURLException {
        return new URL( getURLBase(), getURLString() );
    }


    protected void completeRequest( URLConnection connection ) throws IOException {
        connection.setDoInput( true );
        connection.setDoOutput( true );
        DataOutputStream printout = new DataOutputStream( connection.getOutputStream() );
        printout.writeBytes( getParameterString() );
        printout.flush();
        printout.close();
    }

//----------------------------------- package members -----------------------------------


    /**
     * Constructs a web request using a base URL and a relative url string.
     **/
    PostMethodWebRequest( URL urlBase, String urlString ) {
        super( urlBase, urlString );
    }


}
